## msg_limits msg_limits |

## Functions

void | glibtop_get_msg_limits ()
void | glibtop_get_msg_limits_l ()
void | glibtop_get_msg_limits_p ()
void | glibtop_get_msg_limits_s ()

## Types and Values

#define | GLIBTOP_IPC_MSGPOOL
#define | GLIBTOP_IPC_MSGMAP
#define | GLIBTOP_IPC_MSGMAX
#define | GLIBTOP_IPC_MSGMNB
#define | GLIBTOP_IPC_MSGMNI
#define | GLIBTOP_IPC_MSGSSZ
#define | GLIBTOP_IPC_MSGTQL
#define | GLIBTOP_MAX_MSG_LIMITS
struct | glibtop_msg_limits
#define | glibtop_get_msg_limits_r

## Includes

    #include <glibtop/msg_limits.h>

## Description

## Functions

### glibtop_get_msg_limits ()

    void
    glibtop_get_msg_limits (glibtop_msg_limits *buf);

### glibtop_get_msg_limits_l ()

    void
    glibtop_get_msg_limits_l (glibtop *server,
                              glibtop_msg_limits *buf);

### glibtop_get_msg_limits_p ()

    void
    glibtop_get_msg_limits_p (glibtop *server,
                              glibtop_msg_limits *buf);

### glibtop_get_msg_limits_s ()

    void
    glibtop_get_msg_limits_s (glibtop *server,
                              glibtop_msg_limits *buf);

## Types and Values

### GLIBTOP_IPC_MSGPOOL

    #define GLIBTOP_IPC_MSGPOOL 0

### GLIBTOP_IPC_MSGMAP

    #define GLIBTOP_IPC_MSGMAP 1

### GLIBTOP_IPC_MSGMAX

    #define GLIBTOP_IPC_MSGMAX 2

### GLIBTOP_IPC_MSGMNB

    #define GLIBTOP_IPC_MSGMNB 3

### GLIBTOP_IPC_MSGMNI

    #define GLIBTOP_IPC_MSGMNI 4

### GLIBTOP_IPC_MSGSSZ

    #define GLIBTOP_IPC_MSGSSZ 5

### GLIBTOP_IPC_MSGTQL

    #define GLIBTOP_IPC_MSGTQL 6

### GLIBTOP_MAX_MSG_LIMITS

    #define GLIBTOP_MAX_MSG_LIMITS 7

### struct glibtop_msg_limits

    struct glibtop_msg_limits {
    	guint64 flags;
    	guint64 msgpool; /* GLIBTOP_IPC_MSGPOOL */
    	guint64 msgmap;		/* GLIBTOP_IPC_MSGMAP */
    	guint64 msgmax;		/* GLIBTOP_IPC_MSGMAX */
    	guint64 msgmnb;		/* GLIBTOP_IPC_MSGMNB */
    	guint64 msgmni;		/* GLIBTOP_IPC_MSGMNI */
    	guint64 msgssz;		/* GLIBTOP_IPC_MSGSSZ */
    	guint64 msgtql;		/* GLIBTOP_IPC_MSGTQL */
    };

### glibtop_get_msg_limits_r

    #define glibtop_get_msg_limits_r glibtop_get_msg_limits_p